import request from '@/utils/request'


//根据企业名称获取企业详细信息
export function getQy(data){
	return request({
		url:"/qygl/Qiye/selectDeptName",
		params:data,
	})
}



//查询继续教育列表
export function getJxjy(data){
	return request({
		url:"/openapi/trainlist",
		params:data
	})
}


//继续教育报名
export function jxjyBm(data){
	return request({
		url:"/openapi/eduSignUp",
		data:data,
		method:'post'
	})
}


//资格考试企业信息查询
export function zgksQySearch(name){
	return request({
		url:"/openapi/selectDeptName?name="+name,
	})
}


//资格考试通过身份证号查询信息
export function getPeoInfo(data){
	return request({
		url:"/openapi/selectsfz",
		params:data
	})
}

//资格考试报名
export function zgksBaoming(data){
	return request({
		url:"/openapi/zigesave",
		data:data,
		method:"post"
	})
}


//查询人员是否可报名
export function jlyIsBm(data){
	return request({
		url:"/jlry/RenCai/indexRencai",
		params:data
	})
}


//密码找回根据用户名查询企业邮箱
export function searchQyeamil(data){
	return request({
		url:"/openapi/queryQyEmailByName",
		params:data,
	})
}


//密码找回发送验证码
export function sendEmailYzm(data){
	return request({
		url:"/openapi/sendEmail",
		params:data
	})
}


//密码找回提交新密码
export function subNewMm(data){
	return request({
		url:"/openapi/resetPassword",
		params:data,
	})
}



//找回密码验证验证码是否正确
export function yzmIsok(data){
	return request({
		url:"/openapi/checkCode",
		params:data
	})
}